/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: IValidatorPoolManager.java 5203 2009-10-01 16:55:26Z gaellalire $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.pool.impl.enhanced.impl.basic;

/**
 *
 * @author Gael Lalire
 * @param <E>
 */
public class RemoveEntry<E> {

    private RemoveEntry<E> next;

    private E poolItem;

    private boolean callBackComplete;

    public RemoveEntry(final E poolItem, final RemoveEntry<E> next) {
        this.poolItem = poolItem;
        this.next = next;
        callBackComplete = false;
    }

    public RemoveEntry<E> getNext() {
        return next;
    }

    public void setNext(final RemoveEntry<E> next) {
        this.next = next;
    }

    public E getPoolItem() {
        return poolItem;
    }

    public boolean isCallBackComplete() {
        return callBackComplete;
    }

    public void setCallBackComplete(final boolean callBackComplete) {
        this.callBackComplete = callBackComplete;
    }

}
